<?php

declare(strict_types=1);

namespace SuperRhino\Utils;

use SuperRhino\Utils\MQClient\Message;
use SuperRhino\Utils\MQClient\MQClientAdapterInterface;

/**
 * @final
 * Class MQ
 * @package SuperRhino\Utils\MQClient
 * @method static string produce(string $topic, string $messageBody, array $config = [])
 * @method static Message[] consume(string $topic, string $groupId, int $numOfMessages, int $waitSeconds = 3)
 * @method static bool ack(string $topic, string $groupId, array $receiptHandles)
 * @method static bool ackMessages(string $topic, string $groupId, array $messages)
 */
class MQ extends Facade {
    protected static function getFacadeAccessor(): string {
        return MQClientAdapterInterface::class;
    }
}
